<?php

namespace EscapeWork\Manager\Http\Requests\Medias;

use EscapeWork\Manager\Http\Requests\Request;

class MediaStoreRequest extends Request
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'files' => ['mime_type_array:jpg,jpeg,pjpg,pjpeg,png'],
        ];
    }

    public function messages()
    {
        return [
            'files.mime_type_array' => 'You must send either jpg or png files only'
        ];
    }
}
