<?php namespace EscapeWork\Manager\Extensions\Collections;

use EscapeWork\LaravelSteroids\Collection;

class PageCollection extends Collection
{

    public function hasSlug($slug)
    {
        foreach ($this->items as $item) {
            if ($item->slug == $slug) {
                return true;
            }
        }

        return false;
    }

    public function bySlug($slug)
    {
        foreach ($this->items as $item) {
            if ($item->slug == $slug) {
                return $item;
            }
        }

        return false;
    }
}
